Log4j 1.2.7

## org.apache.log4j.helpers
Class AbsoluteTimeDateFormat

    java.lang.Object
      |
      +--java.text.Format
            |
            +--java.text.DateFormat
                  |
                  +--org.apache.log4j.helpers.AbsoluteTimeDateFormat

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  DateTimeDateFormat, ISO8601DateFormat

public class AbsoluteTimeDateFormat
extends DateFormat

Formats a `Date` in the format "HH:mm:ss,SSS" for example, "15:49:37,459".

Since:
  0.7.5
Author:
  Ceki Gülcü, Andrew Vajoczki
See Also:
  Serialized Form

Field Summary
`static String` `ABS_TIME_DATE_FORMAT` String constant used to specify `AbsoluteTimeDateFormat` in layouts.
`static String` `DATE_AND_TIME_DATE_FORMAT` String constant used to specify `DateTimeDateFormat` in layouts.
`static String` `ISO8601_DATE_FORMAT` String constant used to specify `ISO8601DateFormat` in layouts.

Fields inherited from class java.text.DateFormat
`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

Constructor Summary
`AbsoluteTimeDateFormat()`
`AbsoluteTimeDateFormat(TimeZone timeZone)`

Method Summary
`StringBuffer` `format(Date date, StringBuffer sbuf, FieldPosition fieldPosition)` Appends to `sbuf` the time in the format "HH:mm:ss,SSS" for example, "15:49:37,459"
`Date` `parse(String s, ParsePosition pos)` This method does not do anything but return `null`.

Methods inherited from class java.text.DateFormat
`clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

Methods inherited from class java.text.Format
`format, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABS_TIME_DATE_FORMAT

    public static final String ABS_TIME_DATE_FORMAT

  String constant used to specify `AbsoluteTimeDateFormat` in layouts. Current value is ABSOLUTE.

### DATE_AND_TIME_DATE_FORMAT

    public static final String DATE_AND_TIME_DATE_FORMAT

  String constant used to specify `DateTimeDateFormat` in layouts. Current value is DATE.

### ISO8601_DATE_FORMAT

    public static final String ISO8601_DATE_FORMAT

  String constant used to specify `ISO8601DateFormat` in layouts. Current value is ISO8601.

Constructor Detail

### AbsoluteTimeDateFormat

    public AbsoluteTimeDateFormat()

### AbsoluteTimeDateFormat

    public AbsoluteTimeDateFormat(TimeZone timeZone)

Method Detail

### format

    public StringBuffer format(Date date,
                               StringBuffer sbuf,
                               FieldPosition fieldPosition)

  Appends to `sbuf` the time in the format "HH:mm:ss,SSS" for example, "15:49:37,459"
  Overrides:
    `format` in class `DateFormat`
  Parameters:
    `date` - the date to format
    `sbuf` - the string buffer to write to
    `fieldPosition` - remains untouched

### parse

    public Date parse(String s,
                      ParsePosition pos)

  This method does not do anything but return `null`.
  Overrides:
    `parse` in class `DateFormat`

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.